rust-glib (0.21.5-2) unstable; urgency=medium

  * Team upload
  * Package glib 0.21.5 from crates.io using debcargo 2.7.11
  * Remove regneration of source code until 0.22 is available.
    rust-glib 0.21 doesn't support glib 2.87/2.88. (Closes: #1127538)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 10 Feb 2026 21:35:57 -0500

rust-glib (0.21.5-1) unstable; urgency=medium

  * Team upload
  * Package glib 0.21.5 from crates.io using debcargo 2.7.11

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 Dec 2025 09:00:04 -0500

rust-glib (0.21.4-1) unstable; urgency=medium

  * Team upload
  * Package glib 0.21.4 from crates.io using debcargo 2.7.11

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 11 Nov 2025 10:56:57 -0500

rust-glib (0.21.3-2) unstable; urgency=medium

  * Team upload
  * Package glib 0.21.3 from crates.io using debcargo 2.7.11
  * Use deb-gir-tool instead of libgirepository1.0-dev
  * Remove obsolete Breaks
  * Remove the "fix pointer signedness" patch
  * Stop ignoring v2_86 test failures

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 14 Oct 2025 07:35:52 -0400

rust-glib (0.21.3-1) unstable; urgency=medium

  * Team upload
  * Package glib 0.21.3 from crates.io using debcargo 2.7.10

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 23 Sep 2025 13:35:23 -0400

rust-glib (0.21.2-1) unstable; urgency=medium

  * Team upload
  * Package glib 0.21.2 from crates.io using debcargo 2.7.10
  * Add patch to revert the "fix pointer signedness" change:
    we will drop this patch after glib2.0 2.86 reaches Unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 18 Sep 2025 18:19:46 -0400

rust-glib (0.21.1-4) unstable; urgency=medium

  * Team upload
  * Package glib 0.21.1 from crates.io using debcargo 2.7.10
  * Upload to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 06 Sep 2025 16:42:53 -0400

rust-glib (0.21.1-3) experimental; urgency=medium

  * Team upload
  * Disable the "fix pointer signedness" patch since it's not needed
    in Debian yet

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 03 Sep 2025 14:28:18 -0400

rust-glib (0.21.1-2) experimental; urgency=medium

  * Team upload
  * Cherry-pick patch to fix pointer signedness

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 03 Sep 2025 00:21:13 -0400

rust-glib (0.21.1-1) experimental; urgency=medium

  * Team upload
  * Package glib 0.21.1 from crates.io using debcargo 2.7.8

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 29 Aug 2025 06:10:38 -0400

rust-glib (0.21.0-1) experimental; urgency=medium

  * Package glib 0.21.0 from crates.io using debcargo 2.7.8
  * Refresh patches
  * Mark v2_86 feature as broken
  * Add patch disabling benches
  * Add patches to relax bitflags, memchr and smallvec
  * Depend on gir-rust-code-generator 0.21

 -- Matthias Geiger <werdahias@debian.org>  Mon, 28 Jul 2025 21:16:23 +0200

rust-glib (0.20.9-1) unstable; urgency=medium

  * Team upload
  * Package glib 0.20.9 from crates.io using debcargo 2.7.6

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 16 Feb 2025 16:36:29 -0500

rust-glib (0.20.7-2) unstable; urgency=medium

  * Team upload
  * Package glib 0.20.7 from crates.io using debcargo 2.7.6
  * Don't mark v2_84 test as flaky
  * Remove obsolete relax deps patch

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 16 Feb 2025 04:06:41 -0500

rust-glib (0.20.7-1) unstable; urgency=medium

  * Package glib 0.20.7 from crates.io using debcargo 2.7.5

 -- Matthias Geiger <werdahias@debian.org>  Thu, 26 Dec 2024 17:12:14 +0100

rust-glib (0.20.6-1) unstable; urgency=medium

  * Package glib 0.20.6 from crates.io using debcargo 2.7.5
  * Drop patch for glib-macros 
  * Mark v2_84 feature as flaky 

 -- Matthias Geiger <werdahias@debian.org>  Sat, 14 Dec 2024 17:19:59 +0100

rust-glib (0.20.4-2) unstable; urgency=medium

  * Add patch to force glib to build again glib-macros 0.20.4 so tests
    can run

 -- Matthias Geiger <werdahias@debian.org>  Wed, 02 Oct 2024 15:21:20 +0200

rust-glib (0.20.4-1) unstable; urgency=medium

  * Package glib 0.20.4 from crates.io using debcargo 2.7.0

 -- Matthias Geiger <werdahias@debian.org>  Mon, 30 Sep 2024 17:47:45 +0200

rust-glib (0.20.3-1) unstable; urgency=medium

  * Team upload
  * Package glib 0.20.3 from crates.io using debcargo 2.6.1

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 15:58:04 -0400

rust-glib (0.20.2-1) unstable; urgency=medium

  * Team upload
  * Package glib 0.20.2 from crates.io using debcargo 2.6.1

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 2 Sep 2024 09:40:17 -0400

rust-glib (0.20.1-2) unstable; urgency=medium

  * Team upload.
  * Package glib 0.20.1 from crates.io using debcargo 2.6.1
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 26 Aug 2024 15:20:17 -0400

rust-glib (0.20.1-1) experimental; urgency=medium

  * Package glib 0.20.1 from crates.io using debcargo 2.6.1
  * Refresh patches; drop disable-bench patch
  * Depend on gir-rust-code-generator 0.20

 -- Matthias Geiger <werdahias@debian.org>  Wed, 14 Aug 2024 23:32:23 +0200

rust-glib (0.19.8-1) unstable; urgency=medium

  * Package glib 0.19.8 from crates.io using debcargo 2.6.1

 -- Matthias Geiger <werdahias@riseup.net>  Wed, 19 Jun 2024 21:44:14 +0200

rust-glib (0.19.5-1) unstable; urgency=medium

  * Package glib 0.19.5 from crates.io using debcargo 2.6.1
  * Drop patch for 64-bit time, applied upstream
  * Depend on libglib2.0 >= 2.80 and gir-rust-code-generator 0.19.1
  * Stop marking v2.80 feature as broken

 -- Matthias Geiger <werdahias@riseup.net>  Sat, 04 May 2024 15:08:06 +0200

rust-glib (0.19.4-1) experimental; urgency=medium

  * Team upload
  * Package glib 0.19.4 from crates.io using debcargo 2.6.1
  * Cherry-pick a patch to fix time_t issue. Thanks: Zixing Liu

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 17 Apr 2024 09:50:47 -0400

rust-glib (0.19.2-1) experimental; urgency=medium

  * Package glib 0.19.2 from crates.io using debcargo 2.6.1
  * Updated versioned dependency on gir-rust-code-generator
  * Mark v2-80 feature as broken
  * Refresh patches
  * Removed hardcoded dependency on rustc >= 1.70

 -- Matthias Geiger <werdahias@riseup.net>  Mon, 19 Feb 2024 00:29:59 +0100

rust-glib (0.18.5-1) unstable; urgency=medium

  * Package glib 0.18.5 from crates.io using debcargo 2.6.1

 -- Matthias Geiger <werdahias@riseup.net>  Sun, 31 Dec 2023 00:52:08 +0100

rust-glib (0.18.3-1) unstable; urgency=medium

  * Team upload.
  * Package glib 0.18.3 from crates.io using debcargo 2.6.1
  * Stop patching criterion dependency, upstream now depends on the version
    that is in Debian.
  * Skip main_context_futures tests on armhf too, after seeing similar
    sporadic testsuite crashes to the ones I saw on armel.

 -- Peter Michael Green <plugwash@debian.org>  Tue, 05 Dec 2023 13:42:59 +0000

rust-glib (0.18.2-4) unstable; urgency=medium

  * Team upload

  [ Matthias Geiger ]
  * Stop patching gir-format-check dependency

  [ Jeremy Bícha ]
  * Stop patching trybuild2 dependency

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 24 Oct 2023 09:55:32 -0400

rust-glib (0.18.2-3) unstable; urgency=medium

  * Team upload
  * Package glib 0.18.2 from crates.io using debcargo 2.6.0
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 28 Sep 2023 15:15:53 -0400

rust-glib (0.18.2-2) experimental; urgency=medium

  * Specify dependency on rustc 1.70

 -- Matthias Geiger <werdahias@riseup.net>  Sat, 16 Sep 2023 12:56:16 +0200

rust-glib (0.18.2-1) experimental; urgency=medium

  * Package glib 0.18.2 from crates.io using debcargo 2.6.0
  * Regenerate source code with debian tools before build
  * Updated patches

 -- Matthias Geiger <werdahias@riseup.net>  Fri, 15 Sep 2023 22:53:55 +0200

rust-glib (0.17.10-4) unstable; urgency=medium

  * Team upload.
  * Package glib 0.17.10 from crates.io using debcargo 2.6.0
  * Fix typo in breaks.

 -- Peter Michael Green <plugwash@debian.org>  Sat, 05 Aug 2023 02:09:57 +0000

rust-glib (0.17.10-3) unstable; urgency=medium

  * Team upload.
  * Package glib 0.17.10 from crates.io using debcargo 2.6.0
  * Disable "main_context_futures" tests on armel.
  * Add breaks to help britney's autopkgtest scheduler.

 -- Peter Michael Green <plugwash@debian.org>  Thu, 03 Aug 2023 20:23:56 +0000

rust-glib (0.17.10-2) unstable; urgency=medium

  * Package glib 0.17.10 from crates.io using debcargo 2.6.0
  * Re-enable log feature, this was patched out wrongfully (Closes:
    #1042921)

 -- Matthias Geiger <werdahias@riseup.net>  Thu, 03 Aug 2023 12:15:26 +0200

rust-glib (0.17.10-1) unstable; urgency=medium

  * Package glib 0.17.10 from crates.io using debcargo 2.6.0
  * Removed inactive uploader, added my new mail address
  * Patched Cargo.toml and ignored broken test to pass autopkgtest

 -- Matthias Geiger <werdahias@riseup.net>  Wed, 02 Aug 2023 00:15:11 +0200

rust-glib (0.16.7-3) unstable; urgency=medium

  * Package glib 0.16.7 from crates.io using debcargo 2.6.0

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Sun, 25 Jun 2023 20:53:44 +0200

rust-glib (0.16.7-2) experimental; urgency=medium

  * Backport an upstream patch to fix an unwinding issue caused by the
    improper cross-language error handling (LP: #2021531)

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 22 Jun 2023 17:36:01 -0600

rust-glib (0.16.7-1) experimental; urgency=medium

  * Package glib 0.16.7 from crates.io using debcargo 2.6.0
  * Added myself to uploaders

 -- Matthias Geiger <matthias.geiger1024@tutanota.de>  Sat, 20 May 2023 14:53:34 +0200

rust-glib (0.14.8-1) unstable; urgency=medium

  * Team upload.
  * Package glib 0.14.8 from crates.io using debcargo 2.4.4
  * d/patches: removed patch remove-futures-preview-feature.diff

 -- Henry-Nicolas Tourneur <debian@nilux.be>  Tue, 28 Dec 2021 18:15:57 +0000

rust-glib (0.8.2-1) unstable; urgency=medium

  * Package glib 0.8.2 from crates.io using debcargo 2.4.0

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Sat, 28 Sep 2019 11:03:41 +0200

rust-glib (0.8.1-1) unstable; urgency=medium

  * Package glib 0.8.1 from crates.io using debcargo 2.4.0

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Tue, 23 Jul 2019 05:07:13 +0200

rust-glib (0.8.0-1) unstable; urgency=medium

  * Package glib 0.8.0 from crates.io using debcargo 2.3.0

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Sun, 14 Jul 2019 10:16:01 +0200

rust-glib (0.6.1-1) unstable; urgency=medium

  * Package glib 0.6.1 from crates.io using debcargo 2.2.9

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Wed, 19 Dec 2018 08:44:28 +0100

rust-glib (0.6.0-2) unstable; urgency=medium

  * Package glib 0.6.0 from crates.io using debcargo 2.2.9
  * Disable futures preview feature

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Wed, 05 Dec 2018 16:35:46 +0100

rust-glib (0.6.0-1) unstable; urgency=medium

  * Package glib 0.6.0 from crates.io using debcargo 2.2.9

 -- Wolfgang Silbermayr <wolfgang@silbermayr.at>  Fri, 16 Nov 2018 13:02:29 +0100
